WMSException (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Class WMSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bbn.openmap.image.wms.WMSException

All Implemented Interfaces:
  java.io.Serializable

    public class WMSException

extends java.lang.Exception

Generates a WMS Exception in the form of XML with the specified code and explanation message.

Version:
  $Header: /cvs/CVS_LEBA/common/porttrack/src/java/com/obrctm/porttrack/modules/OGCMapRequestHandler.java,v 1.10 2005/10/14 10:08:32 wachu Exp
Author:
  pitek
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CURRENTUPDATESEQUENCE`
`protected static java.lang.String` | `exceptionTemplate`
`static java.lang.String` | `INTERNALERROR`
`static java.lang.String` | `INVALIDDIMENSIONVALUE`
`static java.lang.String` | `INVALIDFORMAT`
`static java.lang.String` | `INVALIDPOINT`
`static java.lang.String` | `INVALIDSRS`
`static java.lang.String` | `INVALIDUPDATESEQUENCE`
`static java.lang.String` | `LAYERNOTDEFINED`
`static java.lang.String` | `LAYERNOTQUERYABLE`
`static java.lang.String` | `MISSINGDIMENSIONVALUE`
`static java.lang.String` | `OPERATIONNOTSUPPORTED`
`static java.lang.String` | `STYLENOTDEFINED`

Constructor Summary
`WMSException()` Creates a new WMSException object.
`WMSException(java.lang.String message)` Creates a new WMSException object.
`WMSException(java.lang.String message, java.lang.String code)` Creates a new WMSException object.

Method Summary
`java.lang.String` | `getCode()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getXML()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INVALIDFORMAT

    public static final java.lang.String INVALIDFORMAT

See Also:
  Constant Field Values

### INVALIDSRS

    public static final java.lang.String INVALIDSRS

See Also:
  Constant Field Values

### LAYERNOTDEFINED

    public static final java.lang.String LAYERNOTDEFINED

See Also:
  Constant Field Values

### STYLENOTDEFINED

    public static final java.lang.String STYLENOTDEFINED

See Also:
  Constant Field Values

### LAYERNOTQUERYABLE

    public static final java.lang.String LAYERNOTQUERYABLE

See Also:
  Constant Field Values

### INVALIDPOINT

    public static final java.lang.String INVALIDPOINT

See Also:
  Constant Field Values

### CURRENTUPDATESEQUENCE

    public static final java.lang.String CURRENTUPDATESEQUENCE

See Also:
  Constant Field Values

### INVALIDUPDATESEQUENCE

    public static final java.lang.String INVALIDUPDATESEQUENCE

See Also:
  Constant Field Values

### MISSINGDIMENSIONVALUE

    public static final java.lang.String MISSINGDIMENSIONVALUE

See Also:
  Constant Field Values

### INVALIDDIMENSIONVALUE

    public static final java.lang.String INVALIDDIMENSIONVALUE

See Also:
  Constant Field Values

### OPERATIONNOTSUPPORTED

    public static final java.lang.String OPERATIONNOTSUPPORTED

See Also:
  Constant Field Values

### INTERNALERROR

    public static final java.lang.String INTERNALERROR

See Also:
  Constant Field Values

### exceptionTemplate

    protected static java.lang.String exceptionTemplate

Constructor Detail

### WMSException

    public WMSException()

  Creates a new WMSException object.

### WMSException

    public WMSException(java.lang.String message)

  Creates a new WMSException object.

  Parameters:
    `message` -

### WMSException

    public WMSException(java.lang.String message,
                        java.lang.String code)

  Creates a new WMSException object.

  Parameters:
    `message` -
    `code` -

Method Detail

### getXML

    public java.lang.String getXML()

  Returns:
    xml for exception

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    string error message

### getCode

    public java.lang.String getCode()

  Returns:
    string for error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details